<main class="main">
  <div class="receiver-info">
    <p><%= user.Firstname %> <%= user.Lastname %></p>
    <p><%= user.Email %></p>
    <p><%= user.Street%> <%= user.Housenumber%></p>
    <p><%= user.Postal %> <%= user.City %></p> 
    <p><%= user.IsInternal %></p>
  </div>
  <div class="wrapper-100-flex-between">
    <h1>Leihschein</h1>
    <% const today = new Date(); %>
    <p><%= dateToEuropeanFormatFunction(today) %></p>
  </div>
  <p><br> Vielen Dank für Ihren Auftrag!<br> Hiermit stellen wir Ihnen folgende Leistungen in Rechnung</p>
  <br>
  <p><b>Berechnung für den Zeitraum vom <%- orderBegin %> bis zum <%- orderEnd %></b></p>
  <table>
    <tr>
        <th>Position</th>
        <th>Bezeichnung</th>
        <th>Beginn</th>
        <th>Ende</th>
        <th>Preis</th>
    </tr>
    <% order.LineItems.forEach((item, i) => { %>
      <%- include('./order-rented-item', { Position: i + 1, ItemName: item.Item.Product.Name, StartDate: item.StartDate, EndDate: item.EndDate, Price: user.RoleId < 3 ? 0 : item.Item.Product.RentingFee  }) %>
    <% }) %>
    <tr>
      <td colspan="4">Gesamtpreis</td>
      <td colspan="1">
        <% let price = 0; 
          order.LineItems.forEach((item) => {
            price += item.Item.Product.RentingFee;
          })
        %>
        <p><%= user.RoleId < 3 ? numToPrice(0) : numToPrice(price) %></p> 
      </td>
    </tr>
  </table>
  <p>Bitte zahlen Sie vor Ort beim DAV Worms bei der Abholung der gemieteten Materialien.</p>
  <p>Für weitere Fragen stehen wir Ihnen sehr gerne zur Verfügung.</p>
  <br>
  <p>Mit freundlichen Grüßen</p>
  <p>Deutscher Alpenverein Worms</p>
</main>
